import { Stack, Typography } from "@mui/material";
import { InternalLink } from "@ess-ics/ce-ui-common";
import { JobTypeIcon } from "../JobIcons";
import { JobRevisionChip } from "../JobRevisionChip";

export const JobDetailsColumn = ({ job, colorStyle }) => {
  return (
    <Stack>
      <JobTypeIcon
        type={job.type}
        colorStyle={colorStyle}
        labelPosition="right"
      />
      {/* TODO: Fix hard coded job types in next commit */}
      {job.type !== "BATCH_DEPLOY" || job.type !== "BATCH_UNDEPLOY" ? (
        <Stack>
          <Stack
            flexDirection="row"
            gap={1}
            alignItems="center"
          >
            <InternalLink
              to={`/iocs/${job.iocId}`}
              label={`IOC Details, ${job.iocName}`}
            >
              {job.iocName}
            </InternalLink>
            {job.type === "DEPLOY" && <JobRevisionChip job={job} />}
          </Stack>
          <Stack
            flexDirection="row"
            gap={1}
            alignItems="baseline"
          >
            <InternalLink
              to={`/hosts/${job?.host?.hostId}`}
              label={`Host details, ${job.host?.hostName}`}
            >
              {job.host.hostName}
            </InternalLink>
            <Typography variant="body2">{job.host.network}</Typography>
          </Stack>
        </Stack>
      ) : (
        <Stack>
          <Typography
            variant="body2"
            sx={{ width: "30px" }}
          >
            {job.noOfIOCs} IOCs
          </Typography>
          <Typography
            variant="body2"
            sx={{ width: "30px" }}
          >
            {job.noOfHosts} Hosts
          </Typography>
        </Stack>
      )}
    </Stack>
  );
};
